<?
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario'])) {
	if ($_SESSION['tipousuario'] == '1')
		header('location:menu_personal.php');
}

if (trim($_SESSION['nombre_validar']) == '') header('location:index.php');
include("fphp.php");
$enlace = cargar_conexion();
include("calendario/calendario.php");
$consulta = mysqli_query($enlace, "select * from periodo where id='" . $_SESSION['id_validar'] . "' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta) != 0) {
	$row = mysqli_fetch_array($consulta);
	$per = mostrar_fecha($row['desde']) . ' al ' . mostrar_fecha($row['hasta']) . " (Nom:" . $row['nomina'] . ")";
} else $per = '';
////////////////////////////////// AUMENTO POR %
if ($_POST['treporte'] == 1) {
	if ($_POST['monto'] != 0 && $_POST['monto'] != '' && $_POST['fecing'] != '') {
		$_POST['monto'] = $_POST['monto'] + 0;
		$query1 = '';
		if ($_POST['nomina'] != '') $query .= " and personal.nomina = '" . substr($_POST['nomina'], 0, 3) . "' ";
		if ($_POST['gerencia'] != '') $query .= " and personal.gerencia = '" . substr($_POST['gerencia'], 0, 4) . "' ";
		if ($_POST['division'] != '') $query .= " and personal.division = '" . substr($_POST['division'], 0, 4) . "' ";
		if ($_POST['departamento'] != '') $query .= " and personal.departamento = '" . substr($_POST['departamento'], 0, 4) . "' ";

		$fing = crear_fecha($_POST['fecing']);
		/*$consulta="select codigo,smes from personal where id='".$_SESSION['id_validar']."' and status<>'I' ".$query1."";
		$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
		while ($row=mysqli_fetch_array($resultado) ) {
			$cedula=trim($row['codigo']);
			$smes=$row['smes']*(1+$_POST['monto']/100);			
			$consultax="select * from personal_sueldo where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec='".$fing."'";
			$resultadox = mysqli_query($enlace,$consultax) or die($consultax . mysqli_error($enlace));
			if (mysqli_num_rows($resultadox)==0) {
				$query = "insert into personal_sueldo  ( id, codigo, fec, sueldo) values('".$_SESSION['id_validar']."','".$cedula."', '".$fing."', '".$smes."') ";
				$consultay = mysqli_query($enlace,$query) or die ($query.mysqli_error($enlace));
			} else {
				$query = "update personal_sueldo  set sueldo='".$smes."' where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec='".$fing."'";
				$consultay = mysqli_query($enlace,$query) or die ("no se pudo ingresar los datos...".mysqli_error($enlace).$query);
			}
		}*/

		$consulta = "update personal set smes=smes*(1+" . ($_POST['monto'] / 100) . ") where id='" . $_SESSION['id_validar'] . "' and status!='I' $query1";
		$resultado = mysqli_query($enlace, $consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$mensaje = 'Actualizado...';
	} else $mensaje = 'Falta un Dato: Monto del Porcentaje (%) o Fecha del Aumento...';
}

////////////////////////////////// AUMENTO POR BS.
if ($_POST['treporte'] == 2) {
	if ($_POST['monto'] != 0 && $_POST['monto'] != '' && $_POST['fecing'] != '') {
		$_POST['monto'] = $_POST['monto'] + 0;
		$query1 = '';
		if ($_POST['nomina'] != '') $query .= " and personal.nomina = '" . substr($_POST['nomina'], 0, 3) . "' ";
		if ($_POST['gerencia'] != '') $query .= " and personal.gerencia = '" . substr($_POST['gerencia'], 0, 4) . "' ";
		if ($_POST['division'] != '') $query .= " and personal.division = '" . substr($_POST['division'], 0, 4) . "' ";
		if ($_POST['departamento'] != '') $query .= " and personal.departamento = '" . substr($_POST['departamento'], 0, 4) . "' ";

		$fing = crear_fecha($_POST['fecing']);
		/*$consulta="select codigo,smes from personal where id='".$_SESSION['id_validar']."' and status<>'I' ".$query1."";
		$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
		while ($row=mysqli_fetch_array($resultado) ) {
			$cedula=trim($row['codigo']);
			$smes=$row['smes']+($_POST['monto']);			
			$consultax="select * from personal_sueldo where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec='".$fing."'";
			$resultadox = mysqli_query($enlace,$consultax) or die($consultax . mysqli_error($enlace));
			if (mysqli_num_rows($resultadox)==0) {
				$query = "insert into personal_sueldo  ( id, codigo, fec, sueldo) values('".$_SESSION['id_validar']."','".$cedula."', '".$fing."', '".$smes."') ";
				$consultay = mysqli_query($enlace,$query) or die ($query.mysqli_error($enlace));
			} else {
				$query = "update personal_sueldo  set sueldo='".$smes."' where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec='".$fing."'";
				$consultay = mysqli_query($enlace,$query) or die ("no se pudo ingresar los datos...".mysqli_error($enlace).$query);
			}
		}	*/

		$consulta = "update personal set smes=smes+(" . ($_POST['monto']) . ") where id='" . $_SESSION['id_validar'] . "' and status!='I' $query1";
		$resultado = mysqli_query($enlace, $consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$mensaje = 'Actualizado...';
	} else $mensaje = 'Falta un Dato: Monto en Bs. o Fecha del Aumento...';
}

////////////////////////////////// AUMENTO POR BS.
if ($_POST['treporte'] == 3) {
	if ($_POST['monto'] != 0 && $_POST['monto'] != '' && $_POST['fecing'] != '') {
		$_POST['monto'] = $_POST['monto'] + 0;
		$query1 = '';
		if ($_POST['nomina'] != '') $query .= " and personal.nomina = '" . substr($_POST['nomina'], 0, 3) . "' ";
		if ($_POST['gerencia'] != '') $query .= " and personal.gerencia = '" . substr($_POST['gerencia'], 0, 4) . "' ";
		if ($_POST['division'] != '') $query .= " and personal.division = '" . substr($_POST['division'], 0, 4) . "' ";
		if ($_POST['departamento'] != '') $query .= " and personal.departamento = '" . substr($_POST['departamento'], 0, 4) . "' ";

		$fing = crear_fecha($_POST['fecing']);
		/*$consulta="select codigo,smes from personal where id='".$_SESSION['id_validar']."' and status<>'I' ".$query1."";
		$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
		while ($row=mysqli_fetch_array($resultado) ) {
			$cedula=trim($row['codigo']);
			$smes=($_POST['monto']);			
			$consultax="select * from personal_sueldo where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec='".$fing."'";
			$resultadox = mysqli_query($enlace,$consultax) or die($consultax . mysqli_error($enlace));
			if (mysqli_num_rows($resultadox)==0) {
				$query = "insert into personal_sueldo  ( id, codigo, fec, sueldo) values('".$_SESSION['id_validar']."','".$cedula."', '".$fing."', '".$smes."') ";
				$consultay = mysqli_query($enlace,$query) or die ($query.mysqli_error($enlace));
			} else {
				$query = "update personal_sueldo  set sueldo='".$smes."' where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec='".$fing."'";
				$consultay = mysqli_query($enlace,$query) or die ("no se pudo ingresar los datos...".mysqli_error($enlace).$query);
			}
		}	*/

		$consulta = "update personal set smes=" . ($_POST['monto']) . " where id='" . $_SESSION['id_validar'] . "' and status!='I' $query1";
		$resultado = mysqli_query($enlace, $consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$mensaje = 'Actualizado...';
	} else $mensaje = 'Falta un Dato: Monto en Bs. o Fecha del Aumento...';
}

menu();
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='archivo_trabajador.php'>Regresar</a>";
echo "<hr><h2>Actualizaci&oacute;n de Sueldos</h2>";
echo "<form name='entrada' action='" . $_SERVER['PHP_SELF'] . "' method='POST' enctype='multipart/form-data'>
	<table align='center'>";
echo "
				<tr><td align='righta'>Tipo de Actualizaci&oacute;n:</td>
				<td align='left'>
					<select style='width:300px;' name='treporte'>
						<option value='1'>Porcentual (%)
						<option value='2'>Aumento en Bs. (Lineal)
						<option value='3'>Monto Nuevo en Bs. (Lineal)
					</select>
				</td>
				</tr>";
echo "<td align='righta'>Monto (%/Bs.)?:</td>";
echo "<td align='left'><input style='width:300px;' name='monto' size = '35' maxlength = '10'></td></tr>";

echo "<tr >";
echo "<td align = 'righta' > Fecha del Aumento: </td>";
echo "<td align = 'left'>";
$valor = date("dmY");
escribe_formulario_fecha_modifica("fecing", "entrada", $valor);
echo "</td>";
echo "</tr>";

$query = "select * from nomina where id='" . $_SESSION['id_validar'] . "' ";
$consulta = mysqli_query($enlace, $query) or die("no se pudo realizar la consulta...");
$resultado = mysqli_num_rows($consulta);
echo "<tr><td align = 'righta'> N&oacute;mina: </td>";
echo "<td align = 'left'> <select style='width:300px;' name = 'nomina'>";
if ($resultado != 0) {
	for ($i = 0; $i < $resultado; $i++) {
		$row1 = mysqli_fetch_array($consulta);
		echo "<option width = '30%'>" . $row1['codigo'] . " - " . $row1['detalle'];
	}
}
echo "</select>";
echo "</td></tr>";

echo "<tr>";
$consulta = "Select * from tablas where tabla=ucase('GERENCIA') and id='" . $_SESSION['id_validar'] . "' order by codigo,detalle";
$consulta = mysqli_query($enlace, $consulta) or die("no se pudo realizar la consulta..." . $consulta . '=' . mysqli_error($enlace));
$resultado = mysqli_num_rows($consulta);
echo "<td align = 'righta'> Gerencia: </td>";
echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
if ($resultado != 0) {
	for ($i = 0; $i < $resultado; $i++) {
		$row1 = mysqli_fetch_array($consulta);
		echo "<option width = '30%'>" . $row1['codigo'] . " - " . $row1['detalle'];
	}
}
echo "</select>";
echo "</td>";
echo "</tr>";

echo "<tr>";
$consulta = "Select * from tablas where tabla=ucase('DIVISION') and id='" . $_SESSION['id_validar'] . "' order by codigo,detalle";
$consulta = mysqli_query($enlace, $consulta) or die("no se pudo realizar la consulta..." . $consulta . '=' . mysqli_error($enlace));
$resultado = mysqli_num_rows($consulta);
echo "<td align = 'righta'> Divisi&oacute;n: </td>";
echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
if ($resultado != 0) {
	for ($i = 0; $i < $resultado; $i++) {
		$row1 = mysqli_fetch_array($consulta);
		echo "<option width = '30%'>" . $row1['codigo'] . " - " . $row1['detalle'];
	}
}
echo "</select>";
echo "</td>";
echo "</tr>";

echo "<tr>";
$consulta = "Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='" . $_SESSION['id_validar'] . "' order by codigo,detalle";
$consulta = mysqli_query($enlace, $consulta) or die("no se pudo realizar la consulta..." . $consulta . '=' . mysqli_error($enlace));
$resultado = mysqli_num_rows($consulta);
echo "<td align = 'righta'> Departamento: </td>";
echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
if ($resultado != 0) {
	for ($i = 0; $i < $resultado; $i++) {
		$row1 = mysqli_fetch_array($consulta);
		echo "<option width = '30%'>" . $row1['codigo'] . " - " . $row1['detalle'];
	}
}
echo "</select>";
echo "</td>";

echo "<tr><td colspan='4' align='center'>";
echo "<input name='ver' type='submit' style='margin-left:5px; height:35px; width:200px' value='Procesar Actualizacion' onClick='return validar_grabar();'>";
echo "</td></tr>";
echo "</table></form></font>";
if ($mensaje != '') echo "<center><font style='color:red; font-size:2em;' face='Verdana' ><b>" . $mensaje . "</b></font></center>";
?>

</body>

</html>